<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [JSHandle](./puppeteer.jshandle.md) &gt; [getProperty](./puppeteer.jshandle.getproperty.md)

## JSHandle.getProperty() method

<b>Signature:</b>

```typescript
getProperty(propertyName: string): Promise<JSHandle | undefined>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  propertyName | string |  |

<b>Returns:</b>

Promise&lt;[JSHandle](./puppeteer.jshandle.md) \| undefined&gt;

